| EVShield v1.3 EVShield Library Reference by mindsensors.com

Public Attributes | List of all members
magnetic_field Struct Reference

`#include <EVs_AbsoluteIMU.h>`

## Public Attributes
short | mx_h
short | mx_l
short | my_h
short | my_l
short | mz_h
short | mz_l
int | mx
int | my
int | mz
int | error

## Detailed Description

Magnetic Field related data

## Member Data Documentation

## § error

int magnetic_field::error

Error generated in case of communication breakdown

## § mx

int magnetic_field::mx

Magnetic field x-axis value derived from HSB and LSB values generated by AbsoluteIMU

## § mx_h

short magnetic_field::mx_h

Magnetic field HSB x-axis value generated by AbsoluteIMU

## § mx_l

short magnetic_field::mx_l

Magnetic field LSB x-axis value generated by AbsoluteIMU

## § my

int magnetic_field::my

Magnetic field y-axis value derived from HSB and LSB values generated by AbsoluteIMU

## § my_h

short magnetic_field::my_h

Magnetic field HSB y-axis value generated by AbsoluteIMU

## § my_l

short magnetic_field::my_l

Magnetic field LSB y-axis value generated by AbsoluteIMU

## § mz

int magnetic_field::mz

Magnetic field z-axis value derived from HSB and LSB values generated by AbsoluteIMU

## § mz_h

short magnetic_field::mz_h

Magnetic field HSB z-axis value generated by AbsoluteIMU

## § mz_l

short magnetic_field::mz_l

Magnetic field LSB z-axis value generated by AbsoluteIMU

The documentation for this struct was generated from the following file:

- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_AbsoluteIMU.h